//
//  StringRenderer.h
//  gluNewQuadric
//
//  Created by Tom Bernard on 1/19/08.
//  Copyright 2008 Bersearch Information Services. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLUT/glut.h>


@interface StringRenderer : NSObject 
{
	NSOpenGLView	*view;
	GLfloat			red, green, blue, alpha;
	GLfloat			bred, bgreen, bblue, balpha;
}
- (id)initWithView:(NSOpenGLView *)_view;
- (void)setColor:(NSColor *)color;
- (void)setBackgroundColor:(NSColor *)color;

- (void)renderString:(char *)string
				 atX:(GLfloat)_x 
				   y:(GLfloat)_y 
				   z:(GLfloat)_z;

- (void)renderBackgoundBoxForString:(char *)string
								atX:(GLfloat)_x 
								  y:(GLfloat)_y 
								  z:(GLfloat)_z;

- (float)stringwidthForString:(char *)_string;

@end
